class Objects {
    constructor(nodes) {
        this.container = [];
        nodes.forEach(node => { this.container[node.index] = { value: undefined, tree: node.tree }; });
    }
}
const handler = {
    get: function (target, key) {
        if (target.container.hasOwnProperty(key) && target.container[key]) {
            if (target.container[key].value !== undefined) {
                return target.container[key].value;
            }
            else {
                const match = target.container
                    .filter(n => ![undefined, null].includes(n.value))
                    .find(n => target.container[key].tree.includes(n.tree[0]));
                if (match) {
                    return match.value;
                }
            }
        }
    },
    set: function (target, key, value) {
        if (key !== 'container') {
            target.container[key].value = value;
        }
    }
};
//# sourceMappingURL=dynamic.js.map
const nodes = [
{"index":"0","tree":["Window"]},
{"index":"1","tree":["HTMLDocument"]},
{"index":"2","tree":["HTMLHtmlElement"]},
{"index":"3","tree":["Navigator"]},
{"index":"4","tree":["ServiceWorkerContainer"]},
{"index":"5","tree":["ServiceWorkerRegistration"]},
{"index":"6","tree":["CSSStyleDeclaration","CSS2Properties"]},
{"index":"7","tree":["Function"]},
{"index":"8","tree":["VRServiceTest"]},
{"index":"9","tree":["XMLHttpRequest"]},
{"index":"10","tree":["VRMockDisplay"]},
{"index":"11","tree":["ServiceWorkerRegistration"]},
{"index":"12","tree":["MediaQueryList"]},
{"index":"13","tree":["Screen"]},
{"index":"14","tree":["U2F"]},
]
var o11 = new Proxy(new Objects(nodes), handler)