class Objects {
    constructor(nodes) {
        this.container = [];
        nodes.forEach(node => { this.container[node.index] = { value: undefined, tree: node.tree }; });
    }
}
const handler = {
    get: function (target, key) {
        if (target.container.hasOwnProperty(key) && target.container[key]) {
            if (target.container[key].value !== undefined) {
                return target.container[key].value;
            }
            else {
                const match = target.container
                    .filter(n => ![undefined, null].includes(n.value))
                    .find(n => target.container[key].tree.includes(n.tree[0]));
                if (match) {
                    return match.value;
                }
            }
        }
    },
    set: function (target, key, value) {
        if (key !== 'container') {
            target.container[key].value = value;
        }
    }
};
//# sourceMappingURL=dynamic.js.map
const nodes = [
{"index":"0","tree":["ServiceWorkerGlobalScope"]},
{"index":"1","tree":["Function"]},
{"index":"2","tree":["MessagePort"]},
{"index":"3","tree":["Unknown"]},
{"index":"4","tree":["MessagePort"]},
{"index":"5","tree":["Unknown"]},
{"index":"6","tree":["Request"]},
{"index":"7","tree":["Uint8ClampedArray"]},
{"index":"8","tree":["ArrayBuffer"]},
{"index":"9","tree":["AbortController"]},
{"index":"10","tree":["AbortSignal"]},
{"index":"11","tree":["Blob","File"]},
{"index":"12","tree":["Uint8Array"]},
{"index":"13","tree":["Response"]},
{"index":"14","tree":["XMLHttpRequest"]},
{"index":"15","tree":["Uint8Array"]},
{"index":"16","tree":["Blob","File"]},
{"index":"17","tree":["ImageBitmap"]},
{"index":"18","tree":["Function"]},
{"index":"19","tree":["Date"]},
{"index":"20","tree":["Function"]},
{"index":"21","tree":["RegExp"]},
{"index":"22","tree":["Int8Array"]},
{"index":"23","tree":["ArrayBuffer"]},
{"index":"24","tree":["ImageData"]},
{"index":"25","tree":["Object"]},
{"index":"26","tree":["Response"]},
{"index":"27","tree":["Response"]},
{"index":"28","tree":["FormData"]},
{"index":"29","tree":["Response"]},
{"index":"30","tree":["Response"]},
{"index":"31","tree":["Response"]},
{"index":"32","tree":["FormData"]},
{"index":"33","tree":["Response"]},
{"index":"34","tree":["Response"]},
{"index":"35","tree":["Response"]},
{"index":"36","tree":["Response"]},
{"index":"37","tree":["WorkerNavigator"]},
{"index":"38","tree":["StorageManager"]},
{"index":"39","tree":["Response"]},
{"index":"40","tree":["Response"]},
{"index":"41","tree":["Function"]},
{"index":"42","tree":["WeakRef"]},
{"index":"43","tree":["WeakRef"]},
{"index":"44","tree":["ImageBitmap"]},
{"index":"45","tree":["Function"]},
{"index":"46","tree":["Response"]},
{"index":"47","tree":["Response"]},
{"index":"48","tree":["Function"]},
{"index":"49","tree":["Response"]},
{"index":"50","tree":["FormData"]},
{"index":"51","tree":["Response"]},
{"index":"52","tree":["Headers"]},
{"index":"53","tree":["Response"]},
{"index":"54","tree":["Response"]},
{"index":"55","tree":["IDBFactory"]},
{"index":"56","tree":["IDBOpenDBRequest"]},
{"index":"57","tree":["IDBTransaction"]},
{"index":"58","tree":["IDBObjectStore"]},
{"index":"59","tree":["IDBIndex"]},
{"index":"60","tree":["ArrayBuffer"]},
{"index":"61","tree":["IDBRequest","IDBOpenDBRequest"]},
{"index":"62","tree":["boolean"]},
{"index":"63","tree":["Map"]},
{"index":"64","tree":["Set"]},
{"index":"65","tree":["File"]},
{"index":"66","tree":["Object"]},
{"index":"67","tree":["IDBRequest","IDBOpenDBRequest"]},
{"index":"68","tree":["CacheStorage"]},
{"index":"69","tree":["WeakRef"]},
{"index":"70","tree":["Response"]},
{"index":"71","tree":["Cache"]},
{"index":"72","tree":["Response"]},
{"index":"73","tree":["Function"]},
{"index":"74","tree":["Response"]},
{"index":"75","tree":["DOMString"]},
{"index":"76","tree":["Response"]},
{"index":"77","tree":["Response"]},
{"index":"78","tree":["Function"]},
{"index":"79","tree":["Object"]},
{"index":"80","tree":["Object"]},
{"index":"81","tree":["DOMException"]},
{"index":"82","tree":["Set"]},
{"index":"83","tree":["Int16Array"]},
{"index":"84","tree":["ArrayBuffer"]},
{"index":"85","tree":["Request"]},
{"index":"86","tree":["sequence"]},
{"index":"87","tree":["Object"]},
{"index":"88","tree":["Object"]},
{"index":"89","tree":["Object"]},
{"index":"90","tree":["Object"]},
{"index":"91","tree":["Function"]},
{"index":"92","tree":["PushMessageData"]},
{"index":"93","tree":["Headers"]},
]
var o12 = new Proxy(new Objects(nodes), handler)